Bug 1226675 - [abrt] sox: startwrite(): sox killed by SIGFPE
Summary: [abrt] sox: startwrite(): sox killed by SIGFPE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sox
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Frantisek Kluknavsky
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f4beb0a4363dcd33be7003f6e0b...
: 1309426 1492910 1540762 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-31 17:47 UTC by Sylvain Petreolle
Modified: 2018-08-14 20:16 UTC (History)
7 users (show)

Fixed In Version: sox-14.4.2.0-22.fc28 sox-14.4.2.0-22.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-27 16:46:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.46 KB, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: cgroup (189 bytes, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: core_backtrace (1.53 KB, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: dso_list (4.99 KB, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: environ (1.64 KB, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: maps (24.24 KB, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: mountinfo (4.25 KB, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: open_fds (135 bytes, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
File: proc_pid_status (962 bytes, text/plain)
2015-05-31 17:47 UTC, Sylvain Petreolle
no flags Details
Vgacopy welcome! sound (16.42 KB, application/octet-stream)
2015-06-03 18:40 UTC, Sylvain Petreolle
no flags Details
fedora-rawhide-x86_64.cfg (1.06 KB, text/plain)
2018-06-05 09:35 UTC, Jiri Kucera
no flags Details

Description Sylvain Petreolle 2015-05-31 17:47:00 UTC
Version-Release number of selected component:
sox-14.4.2rc2-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        play -q /home/syl/freedos/vgacpy6/vgacpy3.voc
crash_function: startwrite
executable:     /usr/bin/sox
global_pid:     3852
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            500
var_log_messages: [System Logs]:\n-- Logs begin at mer. 2014-07-30 15:01:01 CEST, end at sam. 2015-05-30 17:01:01 CEST. --

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 startwrite at ao.c:39
 #1 try_device at sox.c:2547
 #2 set_default_device at sox.c:2569
 #3 parse_options_and_filenames at sox.c:2681

Comment 1 Sylvain Petreolle 2015-05-31 17:47:04 UTC
Created attachment 1032906 [details]
File: backtrace

Comment 2 Sylvain Petreolle 2015-05-31 17:47:05 UTC
Created attachment 1032907 [details]
File: cgroup

Comment 3 Sylvain Petreolle 2015-05-31 17:47:06 UTC
Created attachment 1032908 [details]
File: core_backtrace

Comment 4 Sylvain Petreolle 2015-05-31 17:47:08 UTC
Created attachment 1032909 [details]
File: dso_list

Comment 5 Sylvain Petreolle 2015-05-31 17:47:09 UTC
Created attachment 1032910 [details]
File: environ

Comment 6 Sylvain Petreolle 2015-05-31 17:47:10 UTC
Created attachment 1032911 [details]
File: limits

Comment 7 Sylvain Petreolle 2015-05-31 17:47:12 UTC
Created attachment 1032912 [details]
File: maps

Comment 8 Sylvain Petreolle 2015-05-31 17:47:14 UTC
Created attachment 1032913 [details]
File: mountinfo

Comment 9 Sylvain Petreolle 2015-05-31 17:47:15 UTC
Created attachment 1032914 [details]
File: namespaces

Comment 10 Sylvain Petreolle 2015-05-31 17:47:16 UTC
Created attachment 1032915 [details]
File: open_fds

Comment 11 Sylvain Petreolle 2015-05-31 17:47:17 UTC
Created attachment 1032916 [details]
File: proc_pid_status

Comment 12 Frantisek Kluknavsky 2015-06-03 15:01:08 UTC
Hi. Thank you for your report. Could you please publish vgacpy3.voc?
It seems that ao.c:38
ao->buf_size = sox_globals.bufsiz - (sox_globals.bufsiz % (ft->encoding.bits_per_sample >> 3));
divides by zero in your case but I can not reproduce the crash.

Comment 13 Sylvain Petreolle 2015-06-03 18:37:11 UTC
(In reply to Frantisek Kluknavsky from comment #12)
> Hi. Thank you for your report. Could you please publish vgacpy3.voc?
> It seems that ao.c:38
> ao->buf_size = sox_globals.bufsiz - (sox_globals.bufsiz %
> (ft->encoding.bits_per_sample >> 3));
> divides by zero in your case but I can not reproduce the crash.

Sure. This is one sound from Vga-copy.
http://www.moenk.de/pages/vgacopy.html

Comment 14 Sylvain Petreolle 2015-06-03 18:40:46 UTC
Created attachment 1034437 [details]
Vgacopy welcome! sound

Comment 15 Frantisek Kluknavsky 2015-06-04 15:06:24 UTC
Still does not crash, plays "welcome" sound and then displays an error message "play FAIL sox: `vgacpy3.voc' premature EOF: Numerical result out of range". (Fedora 22 Workstation in a virtual machine)
Will try harder tomorrow.

Comment 16 Sylvain Petreolle 2016-02-17 20:07:45 UTC
It happens on Fedora 23.
Steps to reproduce:
-Stop pulseaudio (pulseaudio -k)
-Run "play vgacpy3.voc", -q option is irrelevant.

Comment 17 Sylvain Petreolle 2016-02-17 20:08:46 UTC
*** Bug 1309426 has been marked as a duplicate of this bug. ***

Comment 18 Fedora End Of Life 2016-11-24 11:50:41 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Sylvain Petreolle 2016-11-24 17:42:39 UTC
It happens on Fedora 24.
Steps to reproduce:
-Stop pulseaudio (pulseaudio -k)
-Run "play vgacpy3.voc", -q option is irrelevant.

Comment 20 Frantisek Kluknavsky 2017-02-28 16:09:18 UTC
After changing hardware once and changing Fedora several times, I still can not reproduce it. The closest thing I achieved was a freeze after `pasuspender -- play vgacpy3.voc`. Sorry.

Comment 21 Jiri Kucera 2018-06-05 09:24:51 UTC
Finally, I found how to reproduce it, but only in mock:

$ mock -r fedora-rawhide-x86_64 --init
$ mock -r fedora-rawhide-x86_64 --install ./x86_64/sox-14.4.2.0-20.fc29.x86_64.rpm
$ mock -r fedora-rawhide-x86_64 --copyin ~/Downloads/vgacpy3.voc /var/tmp
$ mock -r fedora-rawhide-x86_64 --shell
INFO: mock.py version 1.4.9 starting (python version = 3.6.4)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Finish: chroot init
Start: shell
<mock-chroot> sh-4.4# play /var/tmp/vgacpy3.voc 
Home directory not accessible: Permission denied
ALSA lib confmisc.c:767:(parse_card) cannot find card '0'
ALSA lib conf.c:4555:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4555:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1246:(snd_func_refer) error evaluating name
ALSA lib conf.c:4555:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:5034:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2565:(snd_pcm_open_noupdate) Unknown PCM default
Floating point exception (core dumped)
<mock-chroot> sh-4.4#

There are also another types of errors that not appear on non-mock environment, but the
main point is that `ft->encoding.bits_per_sample` is zero when entering `startwrite`,
which caused division by zero.

(For now, I am not able to say what _exactly_ cause the exception. It looks like an
issue with HW configuration/access from the mock side.)

Comment 22 Jiri Kucera 2018-06-05 09:35:01 UTC
Created attachment 1447781 [details]
fedora-rawhide-x86_64.cfg

Added mock config file

Comment 23 Jiri Kucera 2018-06-05 09:46:00 UTC
*** Bug 1492910 has been marked as a duplicate of this bug. ***

Comment 24 Jiri Kucera 2018-06-05 09:54:19 UTC
*** Bug 1540762 has been marked as a duplicate of this bug. ***

Comment 25 Fedora Update System 2018-06-06 10:06:23 UTC
sox-14.4.2.0-21.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e85437f88d

Comment 26 Fedora Update System 2018-06-06 10:07:49 UTC
sox-14.4.2.0-21.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e80a87457

Comment 27 Fedora Update System 2018-06-06 13:46:03 UTC
sox-14.4.2.0-21.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e80a87457

Comment 28 Fedora Update System 2018-06-06 15:02:49 UTC
sox-14.4.2.0-21.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e85437f88d

Comment 29 Fedora Update System 2018-06-07 11:25:45 UTC
sox-14.4.2.0-22.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-57a9f93beb

Comment 30 Fedora Update System 2018-06-07 11:26:16 UTC
sox-14.4.2.0-22.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f7a1334c68

Comment 31 Fedora Update System 2018-06-08 12:58:02 UTC
sox-14.4.2.0-22.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-57a9f93beb

Comment 32 Fedora Update System 2018-06-08 19:47:32 UTC
sox-14.4.2.0-22.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f7a1334c68

Comment 33 Fedora Update System 2018-07-27 16:46:39 UTC
sox-14.4.2.0-22.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2018-08-14 20:16:18 UTC
sox-14.4.2.0-22.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.